//
//  GameBoardView.h
//  Virus
//
//  Created by Vince Tagle on 8/24/04.
//  Copyright 2004 __MyCompanyName__. All rights reserved.
//

#import "GameView.h"

@interface GameBoardView : GameView 
{	
	NSSize		squareDimn;	//!< The dimensions for each square on the grid (determined by the unrevealed bitmap image). 
	NSPoint		mouseDownOn;//!< The square the mouse was pressed down on to compare against when the mouse comes up.
}

/*! \brief  Handles "mouse up" events from the left and right mouse buttons. 
	\param  event   The mouse event initially generated from the left or right mouse up. 
*/
- (void)handleMouseUpEvent: (NSEvent *)event; 

/*! \brief  Determines the grid square clicked on based on the mouse location. 
	\param  event   The mouse event that has the coordinates to check against. 
*/
- (NSPoint)determineSquareAtMouseLoc: (NSEvent *)event; 

/*!	\brief	Sends a message to the game object that a square was clicked on. 
*/
- (void)squareClickedOnAt: (NSPoint)location withModifier: (BOOL)modified; 

@end
